# RPM specfile for gtkspell module
# Generated Thu Dec 11 02:22:17 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.5.4.3 2003/12/11 02:23:10 mibarra Exp $

%define nam	gtkspell
%define ver	2.0.4
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	4

Name:     	gtkspell
Version: 	2.0.4
Release:	0.ximian.6.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://gtkspell.sourceforge.net/
Source0:	gtkspell-2.0.4.tar.gz
Summary:	GTK+ Spell Checker Interface Library
Group:		X11/Libraries
Provides:	ximian-gtkspell = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	gtkspell-devel < 2.0.4-0.ximian.6.4
Conflicts:	gtkspell-devel > 2.0.4-0.ximian.6.4

%description
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words
in a GtkTextView Widget. Right-clicking a misspelled word pops up a
menu of suggested replacements.

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
/usr/lib/lib*.so.*


%package -n gtkspell-devel
Summary:	Static libraries and header files from GtkSpell
Group:		X11/Libraries
Requires:	gtkspell = 2.0.4-0.ximian.6.4
Provides:	ximian-gtkspell-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gtkspell-devel
Static libraries and header files from GtkSpell.

%files -n gtkspell-devel
%defattr(-, root, root)
/usr/lib/lib*.so
/usr/lib/lib*.a
/usr/lib/pkgconfig/*
/usr/include/*
/usr/share/gtk-doc/html


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gtkspell-2.0.4
    ;;
all)
%setup  -q -n gtkspell-2.0.4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --disable-gtk-doc
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu Dec 11 2003 Ximian, Inc.

- Version: 2.0.4-0.ximian.6.4
- Summary: New build.
- New automated build.

